Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 06/15/2022 in all areas

  1. My friend you are awesome! Thank you so much for your effort, this is exactly what i want.
    1 point
  2. Sorry, i didn't know how to do it, next time i will.
    1 point
  3. Just a minor change to mhupp's code. His version still plots N,E,h whereas the one below plots E,N,h (i swapped cadr and caddr around) HTH ; POINTPLT is a simple AutoLSIP program that will plot a coordinate points file ; in AutoCAD. To run POINTPLT, load POINTPLT.LSP as you would any normal ; AutoLISP file (see AutoCAD Reference Manual), type "POINTPLT" and press ; [Enter]. POINTPLT will first prompt you for an input coordinate filename. ; You must enter a vaild DOS filename at this point. The input coordinate file ; must be in the following format: ; ; Point name (no spaces) (X Cord) (Y Cord) ELEVATION(z) ; ; A sample input coordinate file (SAMPLE.DAT) is included with POINTPLT. ; ; POINTPLT uses the default (current) text style and layer. However, the ; current text style must have a defined height (height must not be "0"). ; ; If you have any questions or comments concerning POINTS, I may be reached ; via THE SPECTRUM BBS þ (501) 521-5639 ; ;------------------------------------------------------------------------------- ; * ERROR Trapping * ; (defun *ERROR* () (eop) ) ;------------------------------------------------------------------------------- ; * End of program * ; (defun EOP () (setvar "CMDECHO" POINTSPLT_CE) (princ) ) ;------------------------------------------------------------------------------- ; * Main Program * (defun C:POINTPLT (/ IN_FILE POINT_LINE POINT_NO POINT) (setq POINTSPLT_CE (getvar "CMDECHO")) (setvar "CMDECHO" 0) ;Turn "Command Echo" off (prompt "\n\nP O I N T P L T v1.0 -- Copyright (c) 1992 by Kurtis J. Jones / -Mate Software\n\n") (setq IN_FILE (open (getfiled "\nEnter points filename: " (getvar 'DWGPREFIX) "txt" 16) "r")) (while (setq POINT_LINE (read-line IN_FILE)) (if (eq (length (setq POINT_LINE (read (strcat "(" POINT_LINE ")")))) 4) (progn (setq POINT_NO (vl-princ-to-string (car POINT_LINE))) (prompt (strcat "\nPlotting point no. " POINT_NO)) (setq POINT (list (cadr POINT_LINE) ;Get easting (caddr POINT_LINE) ;Get northing (last POINT_LINE) ;Get elevation ) ) (entmake (list '(0 . "POINT") (cons 10 POINT))) (entmake (list '(0 . "TEXT") (cons 10 POINT) '(40 . 1) (cons 1 POINT_NO))) ) ) ) (close IN_FILE) (prompt "\nPOINTPLT finished") (eop) )
    1 point
  4. http://www.lee-mac.com/colourconversion.html you can convert ACI (indexed color) to RGB with this link
    1 point
  5. Try this has offset prefixed easy change to a user value. ; trim using circle at corners ; By AlanH Juen 2022 (defun c:trimc ( / rad of pt co-ord) (setq rad 0.2) (setq plent (entsel "\nPick pline ")) (vla-offset (vlax-ename->vla-object (car plent)) rad) (setq of (entlast)) (if of (setq co-ord (mapcar 'cdr (vl-remove-if-not '(lambda (x) (= (car x) 10)) (entget of))))) (foreach pt co-ord (command "circle" pt rad) (setq c (entlast)) (command "trim" c "" pt "") (command "erase" c "") ) (princ) )
    1 point
  6. You might read through Find local user Email address? - Autodesk Community - AutoCAD.
    1 point
  7. I'm going to use the BIGAL method. I was hoping there was an easier way.. I have tabs with 1 view and tabs with 7 views and everything in between... ALIGNSPACE is my buddy... I can't be the first person who has needed to move Model Space geometry and needed the Paper Space viewports to track with the geometry move... <sigh..> thanks..
    1 point
  8. about the point name issue: if there are spaces ( like @mhupp wrote) or Special Characters (like @BIGAL wrote): 1. open the .txt file in excel, and in text import wizard choose "as fixed width". 2. after the file is open select the name column. 3. go to Home -> Find&select -> Replace 4. replace the spaces and/or the Special Characters with appropriate Character (I usually go with "_"). 5. save the file (if save is selected the file will remain .TXT) or "save as...", and make sure to save as "Text (Tab Delimited) (*.TXT)" * as a comment I must add that is one of the most simple and useful lisp I've seen lately. thanks @psychopomp1 for the post and @mhupp for making it works....
    1 point
×
×
  • Create New...